Skip to main content
Coming soon

The ePayment PSP API is not yet available. This documentation describes the upcoming functionality.

ePayment PSP API checklist

Use this checklist to ensure your ePayment PSP API implementation is complete and production-ready. It covers the key endpoints, quality assurance steps and pitfalls — from payments to captures, refunds, and error handling.

Flow to go live​

  1. Complete your testing of the ePayment PSP API. Use the list below to ensure you cover all areas of the integration before you submit the checklist.

  2. Send your filled out checklist to us at developer@vippsmobilepay.com. Use this editable PDF to fill out and submit. Request examples in the checklist must be no more than 1 month old at the time you submit the checklist. Together with the checklist, please include a short description of your solution.

  3. We will verify your integration and get back to you as soon as possible. After the checklist is approved, we'll send you the information you need to go live.

Download the editable ePayment PSP checklist

Download the PDF - an editable PDF you can fill out and track your progress.

Endpoints to integrate​

It is important that you integrate all the ePayment API endpoints.

Merchant​

PurposeEndpoint
Create merchantPOST /merchant-management/psp/v1/merchants
Delete merchantPATCH /merchant-management/psp/v1/merchants/{merchantSerialNumber}

Payment​

PurposeEndpoint
Initiate paymentPOST /epayment/v1/payments
Create a payment with Express
Optional feature
POST /epayment/v1/payments
Create a payment with Profile sharing
Optional feature
POST /epayment/v1/payments
Create a payment with Minimum user age
Optional feature
POST /epayment/v1/payments
Get payment status
Fetch current status of a payment.
GET /epayment/v1/payments/{reference}
Fetch payment event log
Fetch the history of a payment. Often used in support cases to see all events for a specific payment.
GET /epayment/v1/payments/{reference}/events
Respond to card data callback
With RESERVE, FAIL and SOFT_DECLINE
POST /psp-makepayment
Update payment status with CapturePOST /epayment/v1/payments/{reference}/capture
Update payment status with CancelPOST /epayment/v1/payments/{reference}/cancel
Update payment status with RefundPOST /epayment/v1/payments/{reference}/refund

Quality assurance​

Ensure that your implementation complies with our requirements and recommendations.

Proper logging​

All integrations should log error responses to be used for later reference in troubleshooting. Logs must include endpoint, headers, request body, error code and message.

Include HTTP headers​

Send the HTTP headers in all API requests for better tracking and troubleshooting (mandatory for partners and platforms).

Specify customer interaction​

For instore solutions it is required to specify the customer interaction by setting "customerInteraction": "CUSTOMER_PRESENT" on payment initiation. This is to determine that the customer is present at the time of purchase.

Payment status​

All payments must be updated with capture or cancel status, as well as refund if this is performed.

Merchant onboarding​

All merchants must be onboarded as individual merchants and not super merchants and they must be onboarded with valid MCC. All merchants must use their own merchant/webshop name and logo.

Send a useful reference ID​

Follow our reference recommendations to ensure that each transaction is uniquely and reliably identified across all Vipps MobilePay APIs.

Handle redirects​

For mobile flows the implementation must handle that the returnUrl URL is opened in the default browser on the phone. And not rely on the use of a specific browser, a specific tab, an embedded browser, or a session token. Follow our recommendations regarding handling redirects.

Appswitch​

If you offer your merchants to use apps, you must test a switch between MobilePay app and a merchant app.

Sign up for operational updates​

Subscribe to the Vipps MobilePay Operational Status Page for real-time updates on service availability, incidents, and maintenance.

Follow design guidelines​

The Vipps MobilePay branding must be according to the design guidelines.

We will verify the above requests and move you to production.